package com.javaseleniumtemplate.pages;

import com.javaseleniumtemplate.bases.PageBase;
import org.openqa.selenium.By;

public class FormasdeApresentacaoPage extends PageBase {
    //Mapping
    By menubutton = By.xpath("//*[@class='bars']");
    By campopesquisar = By.xpath("//section[@class='zh-container-search-menu']//input[@type='text']");
    By formasdeapresentacaobutton = By.xpath("//span[text()='Formas de Apresentação']");
    By adicionarbutton = By.xpath("//*[@id=\"footer\"]/div[2]/ul/li[1]/a/div");
    By codigofield = By.id("CDAPRERECE");
    By nomefield = By.id("NMAPRERECE");
    By salvarbutton = By.xpath("//span[text()=\"Salvar\"]");


    //Actions
    public void AcessarTela (){
        try {
            Thread.sleep(5000);
        } catch (InterruptedException e) {
            e.printStackTrace();
        }
        click(menubutton);
        sendKeys(campopesquisar,"Formas de Apresentação");
        click(formasdeapresentacaobutton);
    }


    public void clicaremadicionar() {
        //waitForVisibilityOfElementLocated(loadingWait);
        //waitForInvisibilityOfElementLocated(loadingWait);
        click(adicionarbutton);
    }

    public void preenhcercodigo(String codigo) {
        //click(codigofield);
        sendKeys(codigofield, codigo);
    }

    public void preenhcernome(String nome) {
        //click(nomefield);
        sendKeys(nomefield, nome);
    }

    public void clicaremasalvar() {
        //waitForVisibilityOfElementLocated(loadingWait);
        //waitForInvisibilityOfElementLocated(loadingWait);
        click(salvarbutton);
    }

}
